Debian Bug report logs - #680685
racket and planet-venus both install /usr/bin/planet

version graph

Packages: racket, planet-venus; Maintainer for racket is David Bremner <bremner@debian.org>; Source for racket is src:racket. Maintainer for planet-venus is Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>; Source for planet-venus is src:planet-venus.

Reported by: Jakub Wilk <jwilk@debian.org>

Date: Sat, 7 Jul 2012 23:39:01 UTC

Severity: serious

Fixed in versions racket/5.3+dfsg1-1, racket/5.2.1+g6~92c8784+dfsg2-2+deb7u1

Done: James McCoy <jamessan@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jwilk@debian.org, David Bremner <bremner@debian.org>, Noah Slater <nslater@tumbolia.org>:
Bug#680685; Package racket,planet-venus. (Sat, 07 Jul 2012 23:39:04 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: racket and planet-venus both install /usr/bin/planet
Date: Sun, 8 Jul 2012 01:34:08 +0200
Package: racket,planet-venus
Severity: serious
Justification: Policy 10.1

Both racket and planet-venus install /usr/bin/planet with completely 
different functionality. This is a serious violation of Policy §10.1.

-- 
Jakub Wilk




Information forwarded to debian-bugs-dist@lists.debian.org, David Bremner <bremner@debian.org>, Noah Slater <nslater@tumbolia.org>:
Bug#680685; Package racket,planet-venus. (Mon, 09 Jul 2012 04:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Bremner <david@tethera.net>:
Extra info received and forwarded to list. Copy sent to David Bremner <bremner@debian.org>, Noah Slater <nslater@tumbolia.org>. (Mon, 09 Jul 2012 04:51:03 GMT) Full text and rfc822 format available.

Message #8 received at 680685@bugs.debian.org (full text, mbox):

From: David Bremner <david@tethera.net>
To: Jakub Wilk <jwilk@debian.org>, 680685@bugs.debian.org
Subject: Re: Bug#680685: racket and planet-venus both install /usr/bin/planet
Date: Sun, 08 Jul 2012 22:49:38 -0600
On Sun, 8 Jul 2012 01:34:08 +0200, Jakub Wilk <jwilk@debian.org> wrote:
> Package: racket,planet-venus
> Severity: serious
> Justification: Policy 10.1
> 
> Both racket and planet-venus install /usr/bin/planet with completely 
> different functionality. This is a serious violation of Policy §10.1.

Hi Jakub;

Thanks for finding this (old) bug.

/usr/bin/planet has been provided by drscheme (which later became
plt-scheme and then racket) since at least version 352-6 (from October
2006). I didn't look farther than that, but it seems clear the name was
taken when planet-venus was uploaded.

Noah, what do you think about renaming the binary provided by
planet-venus to something like /usr/bin/planet-venus?

David





Information forwarded to debian-bugs-dist@lists.debian.org, Noah Slater <nslater@tumbolia.org>:
Bug#680685; Package racket,planet-venus. (Sun, 29 Jul 2012 20:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Bremner <bremner@debian.org>:
Extra info received and forwarded to list. Copy sent to Noah Slater <nslater@tumbolia.org>. (Sun, 29 Jul 2012 20:06:05 GMT) Full text and rfc822 format available.

Message #13 received at 680685@bugs.debian.org (full text, mbox):

From: David Bremner <bremner@debian.org>
To: 680685@bugs.debian.org
Cc: python-apps-team@lists.alioth.debian.org
Subject: update on bug 680685
Date: Sun, 29 Jul 2012 16:39:08 -0300
[Message part 1 (text/plain, inline)]
In message

<CA+Y+444v1j7r9WwrqGy9qdgwA_Z_e87HzT5mBqNVedi5gDyVoA@mail.gmail.com>

Noah turned over responsibility for package "planet-venus" to the python
applications team. So, let's discuss.

I have proposed that planet-venus rename it's copy of
/usr/bin/planet. Of course, I would say that. So, a hopefully impartial
review of the pro's and con's of this suggestion:

Pro's

1) planet-venus is pretty clearly in the wrong here, since the
   /usr/bin/racket was already present in debian before that package was
   added. The presence of a conflict with drscheme and plt-scheme is
   more or less a confession that somebody should have known better. ;)

2) The popcon ranking of planet-venus is relatively lower than racket
   (approx 50 versus 250).

Con's

1) Apparently "planet" from planet-venus is often run in cron, so
   the renaming would likely cause some disruption.

I'm not sure yet how much disruption renaming /usr/bin/planet would
cause for racket users; I'll have to consult the racket mailing list.

David.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, David Bremner <bremner@debian.org>, Noah Slater <nslater@tumbolia.org>:
Bug#680685; Package racket,planet-venus. (Mon, 30 Jul 2012 07:57:10 GMT) Full text and rfc822 format available.

Message #16 received at 680685@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 680685@bugs.debian.org
Cc: python-apps-team@lists.alioth.debian.org
Subject: Re: Bug#680685: update on bug 680685
Date: Mon, 30 Jul 2012 09:54:19 +0200
* David Bremner <bremner@debian.org>, 2012-07-29, 16:39:
>I have proposed that planet-venus rename it's copy of /usr/bin/planet. 
>Of course, I would say that. So, a hopefully impartial review of the 
>pro's and con's of this suggestion:
>
>Pro's
>
>1) planet-venus is pretty clearly in the wrong here, since the 
>/usr/bin/racket was already present in debian before that package was 
>added. The presence of a conflict with drscheme and plt-scheme is more 
>or less a confession that somebody should have known better. ;)
>
>2) The popcon ranking of planet-venus is relatively lower than racket 
>(approx 50 versus 250).

3) "planet" is not a name planet-venus upstream uses anyway; we've 
renamed it from "planet.py" to adhere to Policy §10.4.

-- 
Jakub Wilk



Information forwarded to debian-bugs-dist@lists.debian.org, David Bremner <bremner@debian.org>, Noah Slater <nslater@tumbolia.org>:
Bug#680685; Package racket,planet-venus. (Tue, 31 Jul 2012 18:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Bremner <david@tethera.net>:
Extra info received and forwarded to list. Copy sent to David Bremner <bremner@debian.org>, Noah Slater <nslater@tumbolia.org>. (Tue, 31 Jul 2012 18:45:09 GMT) Full text and rfc822 format available.

Message #21 received at 680685@bugs.debian.org (full text, mbox):

From: David Bremner <david@tethera.net>
To: 680685@bugs.debian.org
Cc: python-apps-team@lists.alioth.debian.org
Subject: Re: Bug#680685: update on bug 680685
Date: Tue, 31 Jul 2012 15:43:58 -0300
Jakub Wilk <jwilk@debian.org> writes:

> * David Bremner <bremner@debian.org>, 2012-07-29, 16:39:
>
> 3) "planet" is not a name planet-venus upstream uses anyway; we've 
> renamed it from "planet.py" to adhere to Policy §10.4.

It turns out that racket upstream will probably deprecate the binary planet in
the next upstream release, and claims that "raco planet" is the now
preferred interface.  

So, although I still think this is really a bug in planet-venus, it
could also make sense to just remove the planet binary from racket.

d



Information forwarded to debian-bugs-dist@lists.debian.org, David Bremner <bremner@debian.org>, Noah Slater <nslater@tumbolia.org>:
Bug#680685; Package racket,planet-venus. (Mon, 13 Aug 2012 14:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tanguy Ortolo <tanguy+debian@ortolo.eu>:
Extra info received and forwarded to list. Copy sent to David Bremner <bremner@debian.org>, Noah Slater <nslater@tumbolia.org>. (Mon, 13 Aug 2012 14:57:03 GMT) Full text and rfc822 format available.

Message #26 received at 680685@bugs.debian.org (full text, mbox):

From: Tanguy Ortolo <tanguy+debian@ortolo.eu>
To: 680685@bugs.debian.org
Subject: Re: Bug#680685: update on bug 680685
Date: Mon, 13 Aug 2012 16:46:16 +0200
[Message part 1 (text/plain, inline)]
David Bremner, 2012-07-31 15:43-0300:
>It turns out that racket upstream will probably deprecate the binary planet in
>the next upstream release, and claims that "raco planet" is the now
>preferred interface.
>
>So, although I still think this is really a bug in planet-venus, it
>could also make sense to just remove the planet binary from racket.

That would probably be the easiest. Not the most just way to solve this 
conflict, but the easiest.

I believe we have two options here:


1. Rename planet-venus:/usr/bin/planet to /usr/bin/planet-venus (or 
   perhaps to /usr/bin/venus)

Pro:
* This is what should have been done from the beginning. This is only a 
  theoretical advantage though

Con:
* Will break the cron scripts of all the users of planet-venus. This 
  can be dealt with by documenting it in a NEWS file and probably in the 
  release notes too, but it would be annoying nevertheless, especially 
  to lazy admins. :-)


2. Remove racket:/usr/bin/planet

Pro:
* This anticipates the ypstream decision. This is only a theoretical 
  advantage too.

Con:
* It will annoy users, who would be annoyed by the upstream decision for 
  the next release anyway.


-- 
 ,--.
: /` )   Tanguy Ortolo      <xmpp:tanguy@ortolo.eu>
| `-'    Debian Developer   <irc://irc.oftc.net/Tanguy>
 \_
[signature.asc (application/pgp-signature, inline)]

Reply sent to James McCoy <jamessan@debian.org>:
You have taken responsibility. (Sat, 18 Aug 2012 20:51:06 GMT) Full text and rfc822 format available.

Notification sent to Jakub Wilk <jwilk@debian.org>:
Bug acknowledged by developer. (Sat, 18 Aug 2012 20:51:06 GMT) Full text and rfc822 format available.

Message #31 received at 680685-close@bugs.debian.org (full text, mbox):

From: James McCoy <jamessan@debian.org>
To: 680685-close@bugs.debian.org
Subject: Bug#680685: fixed in racket 5.3+dfsg1-1
Date: Sat, 18 Aug 2012 20:48:19 +0000
Source: racket
Source-Version: 5.3+dfsg1-1

We believe that the bug you reported is fixed in the latest version of
racket, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 680685@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
James McCoy <jamessan@debian.org> (supplier of updated racket package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 18 Aug 2012 11:54:36 -0400
Source: racket
Binary: racket racket-common racket-doc plt-scheme plt-scheme-doc
Architecture: source all amd64
Version: 5.3+dfsg1-1
Distribution: unstable
Urgency: low
Maintainer: David Bremner <bremner@debian.org>
Changed-By: James McCoy <jamessan@debian.org>
Description: 
 plt-scheme - Racket Programming Environment (transitional package)
 plt-scheme-doc - PLT Scheme Documentation (transitional package)
 racket     - extensible programming language in the Scheme family
 racket-common - extensible programming language in the Scheme family (shared file
 racket-doc - extensible programming language in the Scheme family (documentati
Closes: 680685
Changes: 
 racket (5.3+dfsg1-1) unstable; urgency=low
 .
   * New upstream version
   * Build debs with xz compression
   * Stop shipping /usr/bin/planet.  (Closes: #680685)
Checksums-Sha1: 
 cb9b14d296612f30c0dd9e4efc9201466885db1d 1682 racket_5.3+dfsg1-1.dsc
 157f806a7c725bcee134c21056c386d8cafad441 17705638 racket_5.3+dfsg1.orig.tar.gz
 95cd52b9e311b5da91ec5bd5ba8a28f8415742cf 25840 racket_5.3+dfsg1-1.debian.tar.gz
 2f957b86e80158dbf15aad056183715cd96e388d 27016692 racket-common_5.3+dfsg1-1_all.deb
 55d26498d34faa5696228548de9b6d410ad54ece 13418638 racket-doc_5.3+dfsg1-1_all.deb
 1da04b05d69fa0333a74733b9acc6389504a227f 21568 plt-scheme_5.3+dfsg1-1_all.deb
 223f458672f6040eb1c435934a724dafc418fdb6 21506 plt-scheme-doc_5.3+dfsg1-1_all.deb
 a6f4d0fdd30bb6f189da6ab9ce745e1ed7d2e6b7 1494534 racket_5.3+dfsg1-1_amd64.deb
Checksums-Sha256: 
 94c828823c1d156bf418facf28de3352b71236b005fc45e6f3358e8ef53e15b6 1682 racket_5.3+dfsg1-1.dsc
 c4ca7955c8d8c5c93572e22342a140426f2684b9ef82f59371ed904c63294bdb 17705638 racket_5.3+dfsg1.orig.tar.gz
 677e33b99cd8291e131b1f2535308d79e597437013496c52735a42a46377771f 25840 racket_5.3+dfsg1-1.debian.tar.gz
 60fdcc33626833c3016d3a84f8e583ddc1e79f9a88a0123d2225c899d1e74add 27016692 racket-common_5.3+dfsg1-1_all.deb
 f191a1d22b012edcfa9b1e31a8248f9f10b992bf753058be4cd6afb1ef646574 13418638 racket-doc_5.3+dfsg1-1_all.deb
 d6846d9fae87333ba1b23d7ff84bd5f78994d213e8b0fbe7caf5bd4d722e08f4 21568 plt-scheme_5.3+dfsg1-1_all.deb
 2c70fbfab765d1001a100c73405f1ce596abd5ee9434fff51a70a860c1c1465b 21506 plt-scheme-doc_5.3+dfsg1-1_all.deb
 fb0aeb65aac37bcf3a49edbad9bd139232b6ea9abd731d7147e95599cdea08b8 1494534 racket_5.3+dfsg1-1_amd64.deb
Files: 
 b3f1d2fe02de6bbec42d1cb5ade1bce6 1682 lisp optional racket_5.3+dfsg1-1.dsc
 06d5ae78c1dc808aa1ec84762f794766 17705638 lisp optional racket_5.3+dfsg1.orig.tar.gz
 a200217522d9870c1d5ecb8888a071a7 25840 lisp optional racket_5.3+dfsg1-1.debian.tar.gz
 33be9501a287574570285b77defd161f 27016692 lisp optional racket-common_5.3+dfsg1-1_all.deb
 eb37e0c40c24f6618c2e8a78ed0a5d00 13418638 doc optional racket-doc_5.3+dfsg1-1_all.deb
 5705461c8d3ca161403c61840fb7c971 21568 oldlibs extra plt-scheme_5.3+dfsg1-1_all.deb
 8cd7f1c1d8e9a51eccbc0d2021159bc5 21506 oldlibs extra plt-scheme-doc_5.3+dfsg1-1_all.deb
 4f1d8886d44d4bdeae981e9f0edffa8a 1494534 lisp optional racket_5.3+dfsg1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlAv8c4ACgkQDb3UpmEybUDF5ACeOx2gvHGcQyYU9mYsfLqgcL4x
8vIAn0TDeXtdWKk8i6GuvTzx6idvOnYd
=zds7
-----END PGP SIGNATURE-----




Reply sent to James McCoy <jamessan@debian.org>:
You have taken responsibility. (Sun, 26 Aug 2012 16:06:10 GMT) Full text and rfc822 format available.

Notification sent to Jakub Wilk <jwilk@debian.org>:
Bug acknowledged by developer. (Sun, 26 Aug 2012 16:06:11 GMT) Full text and rfc822 format available.

Message #36 received at 680685-close@bugs.debian.org (full text, mbox):

From: James McCoy <jamessan@debian.org>
To: 680685-close@bugs.debian.org
Subject: Bug#680685: fixed in racket 5.2.1+g6~92c8784+dfsg2-2+deb7u1
Date: Sun, 26 Aug 2012 16:02:59 +0000
Source: racket
Source-Version: 5.2.1+g6~92c8784+dfsg2-2+deb7u1

We believe that the bug you reported is fixed in the latest version of
racket, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 680685@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
James McCoy <jamessan@debian.org> (supplier of updated racket package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 26 Aug 2012 10:58:44 -0400
Source: racket
Binary: racket racket-common racket-doc plt-scheme plt-scheme-doc
Architecture: source all amd64
Version: 5.2.1+g6~92c8784+dfsg2-2+deb7u1
Distribution: testing
Urgency: low
Maintainer: David Bremner <bremner@debian.org>
Changed-By: James McCoy <jamessan@debian.org>
Description: 
 plt-scheme - Racket Programming Environment (transitional package)
 plt-scheme-doc - PLT Scheme Documentation (transitional package)
 racket     - extensible programming language in the Scheme family
 racket-common - extensible programming language in the Scheme family (shared file
 racket-doc - extensible programming language in the Scheme family (documentati
Closes: 680685
Changes: 
 racket (5.2.1+g6~92c8784+dfsg2-2+deb7u1) testing; urgency=low
 .
   * Stop shipping /usr/bin/planet.  (Closes: #680685)
Checksums-Sha1: 
 bee9a9fa891342ee144d5afa9962b1849cf3f251 1801 racket_5.2.1+g6~92c8784+dfsg2-2+deb7u1.dsc
 d32ad78a8430d48ec190ee34aba4c5070aae27a2 27616 racket_5.2.1+g6~92c8784+dfsg2-2+deb7u1.debian.tar.gz
 4c07c301a0a7fc2f839c1a876ed154fd5b3027ac 41650460 racket-common_5.2.1+g6~92c8784+dfsg2-2+deb7u1_all.deb
 d6d1f855e202017e80858473bddcde39b3248e44 14548962 racket-doc_5.2.1+g6~92c8784+dfsg2-2+deb7u1_all.deb
 8590186d0a8b2aa6ca8a2e2874c03586fb2faceb 22772 plt-scheme_5.2.1+g6~92c8784+dfsg2-2+deb7u1_all.deb
 13dab585ede4d50a1a66ee8b24e05cdec9d7ae18 22722 plt-scheme-doc_5.2.1+g6~92c8784+dfsg2-2+deb7u1_all.deb
 55e8d2c16d180d5e1a3b689c90b56a0dbda6c99c 3916306 racket_5.2.1+g6~92c8784+dfsg2-2+deb7u1_amd64.deb
Checksums-Sha256: 
 1124f4d6f8bf06872689a0260bffb08cd0ab5190bb05268fde2351cc810c37a6 1801 racket_5.2.1+g6~92c8784+dfsg2-2+deb7u1.dsc
 fe6299f4dca0d2b077608429a555e0c12e5b327347384f5a761652ca4a488910 27616 racket_5.2.1+g6~92c8784+dfsg2-2+deb7u1.debian.tar.gz
 166f18e8cc88632c4edf77d3dccb4dd1ff768f3ba58ea979aa23e08e231e4d00 41650460 racket-common_5.2.1+g6~92c8784+dfsg2-2+deb7u1_all.deb
 9784dfcd92d5cee45006a71554584f1cd61155f0c9a931fdeba6b059c365ef1e 14548962 racket-doc_5.2.1+g6~92c8784+dfsg2-2+deb7u1_all.deb
 4483a2ee9e6e12908a8eb64a442ad5565da73b1fad9e04968fc1527e36888b66 22772 plt-scheme_5.2.1+g6~92c8784+dfsg2-2+deb7u1_all.deb
 5033ad162fc9b81cbe64b5833ca29772617c5e0f03a67021b7f6a70fc33aee0e 22722 plt-scheme-doc_5.2.1+g6~92c8784+dfsg2-2+deb7u1_all.deb
 f71b835427a0cb12663d0e787c1eae29056ef4cc092299653e90cd61e8a970ac 3916306 racket_5.2.1+g6~92c8784+dfsg2-2+deb7u1_amd64.deb
Files: 
 93eb88d4294876ed118c02d6a0104daa 1801 lisp optional racket_5.2.1+g6~92c8784+dfsg2-2+deb7u1.dsc
 e039db8d0bd73fdebbc2e112ee0b12c1 27616 lisp optional racket_5.2.1+g6~92c8784+dfsg2-2+deb7u1.debian.tar.gz
 7e88727a3698fdcbdd88db62b5b0d6b6 41650460 lisp optional racket-common_5.2.1+g6~92c8784+dfsg2-2+deb7u1_all.deb
 9751b16ae531a57921946cdde9a1a8e5 14548962 doc optional racket-doc_5.2.1+g6~92c8784+dfsg2-2+deb7u1_all.deb
 272929c4e27985365a8e76d7cf4c4dfb 22772 oldlibs extra plt-scheme_5.2.1+g6~92c8784+dfsg2-2+deb7u1_all.deb
 7c7b954a60293ccd114e5f272a29b3e6 22722 oldlibs extra plt-scheme-doc_5.2.1+g6~92c8784+dfsg2-2+deb7u1_all.deb
 8e642a63c8275c4dc940df8877297856 3916306 lisp optional racket_5.2.1+g6~92c8784+dfsg2-2+deb7u1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlA6RJAACgkQDb3UpmEybUCH8QCfYh+uob+lhy/HTUfYinrpIM6O
RecAn2IXZenDvyX/9UnkJz68h7Z1FejK
=tQ+H
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 24 Sep 2012 07:29:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:14:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.